[API Reference](../README.md) > [GenesisDaoCreator](../classes/GenesisDaoCreator.md)



# Class: GenesisDaoCreator


Migration callback

## Index

### Constructors

* [constructor](GenesisDaoCreator.md#constructor)


### Methods

* [forge](GenesisDaoCreator.md#forge)
* [setSchemes](GenesisDaoCreator.md#setSchemes)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new GenesisDaoCreator**(web3: *`Web3`*, network: *`string`*): [GenesisDaoCreator](GenesisDaoCreator.md)


*Defined in scripts/createGenesisDao.ts:42*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| web3 | `Web3`   |  - |
| network | `string`   |  - |





**Returns:** [GenesisDaoCreator](GenesisDaoCreator.md)

---


## Methods
<a id="forge"></a>

###  forge

► **forge**(foundersConfigurationLocation: *`string`*): `Promise`.<[ForgedDaoInfo](../interfaces/ForgedDaoInfo.md)>



*Defined in scripts/createGenesisDao.ts:52*



Forge the Genesis DAO. Note this does not set the schemes.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| foundersConfigurationLocation | `string`   |  - |





**Returns:** `Promise`.<[ForgedDaoInfo](../interfaces/ForgedDaoInfo.md)>





___

<a id="setSchemes"></a>

###  setSchemes

► **setSchemes**(forgedDaoInfo: *[ForgedDaoInfo](../interfaces/ForgedDaoInfo.md)*): `Promise`.<`void`>



*Defined in scripts/createGenesisDao.ts:143*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| forgedDaoInfo | [ForgedDaoInfo](../interfaces/ForgedDaoInfo.md)   |  - |





**Returns:** `Promise`.<`void`>





___


